Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class PoissonTIACGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.RandomVariateGenInt
              umontreal.iro.lecuyer.randvar.PoissonGen
                  umontreal.iro.lecuyer.randvar.PoissonTIACGen

    public class PoissonTIACGen

extends PoissonGen

This class implements random variate generators having the Poisson distribution (see `PoissonGen`). Uses the tabulated inversion combined with the acceptance complement (TIAC) method of. The implementation is adapted from UNURAN.

Constructor Summary
`PoissonTIACGen(RandomStream s, double lambda)` Creates a Poisson random variate generator with parameter λ = `lambda`, using stream `s`.
`PoissonTIACGen(RandomStream s, PoissonDist dist)` Creates a new random variate generator using the Poisson distribution `dist` and stream `s`.

Method Summary
`int` | `nextInt()` Generates a random number (an integer) from the discrete distribution contained in this object.
`static int` | `nextInt(RandomStream s, double lambda)`

Methods inherited from class umontreal.iro.lecuyer.randvar.PoissonGen
`getLambda`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGenInt
`getDistribution, nextArrayOfInt`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoissonTIACGen

    public PoissonTIACGen(RandomStream s,
                          double lambda)

  Creates a Poisson random variate generator with parameter λ = `lambda`, using stream `s`.

### PoissonTIACGen

    public PoissonTIACGen(RandomStream s,
                          PoissonDist dist)

  Creates a new random variate generator using the Poisson distribution `dist` and stream `s`.

Method Detail

### nextInt

    public int nextInt()

  Description copied from class: `RandomVariateGenInt`
  Generates a random number (an integer) from the discrete distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextInt` in class `RandomVariateGenInt`
  Returns:
    the generated value

### nextInt

    public static int nextInt(RandomStream s,
                              double lambda)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.